> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Task Result V2 API Reference

> Use the Suno V2 task result API to fetch more up-to-date music generation status and final output data for production-ready integrations.

Use the **Suno Fetch API** to retrieve the latest status and final output for asynchronous Suno jobs on TTAPI.


## OpenAPI

````yaml openapi/en/suno.json GET /suno/v2/fetch
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno AI Music API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v2/fetch:
    get:
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Job ID returned by the generation request
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Response message
                  jobId:
                    type: string
                    description: Task ID
                  data:
                    oneOf:
                      - type: object
                        description: Audio task result
                        properties:
                          jobId:
                            type: string
                            description: Task ID
                          action:
                            type: string
                            description: Task type
                          progress:
                            type: string
                            description: Task progress
                          mv:
                            type: string
                            description: Model to use
                          quota:
                            type: string
                            description: Quota consumed
                          hookUrl:
                            type: string
                            description: Callback URL
                          musics:
                            type: array
                            description: Audio list
                            items:
                              type: object
                              properties:
                                musicId:
                                  type: string
                                  description: Music ID
                                gpt_description_prompt:
                                  type: string
                                  description: Inspiration-mode prompt
                                prompt:
                                  type: string
                                  description: Lyrics
                                title:
                                  type: string
                                  description: Title
                                tags:
                                  type: string
                                  description: Style tags
                                display_tags:
                                  type: string
                                  description: Display tags
                                imageUrl:
                                  type: string
                                  description: Cover image
                                imageLargeUrl:
                                  type: string
                                  description: Large cover image
                                audioUrl:
                                  type: string
                                  description: Audio file
                                videoUrl:
                                  type: string
                                  description: Video file
                                duration:
                                  type: number
                                  description: Audio duration
                                negativeTags:
                                  type: string
                                  description: Style tags to avoid
                                styleWeight:
                                  type: number
                                  description: Style weight
                                weirdnessConstraint:
                                  type: number
                                  description: Weirdness weight
                                audioWeight:
                                  type: number
                                  description: Audio URL
                                createdAt:
                                  type: string
                                  description: Created at
                      - type: object
                        description: Lyrics task result
                        properties:
                          jobId:
                            type: string
                            description: Task ID
                          model:
                            type: string
                            description: Model to use
                          progress:
                            type: string
                            description: Task progress
                          quota:
                            type: string
                            description: Quota consumed
                          hookUrl:
                            type: string
                            description: Callback URL
                          lyrics:
                            type: array
                            description: Lyrics list
                            items:
                              type: object
                              properties:
                                prompt:
                                  type: string
                                  description: Lyrics
                                title:
                                  type: string
                                  description: Title
                                tags:
                                  type: string
                                  description: Style tags
                      - type: object
                        description: Create voice task result
                        properties:
                          jobId:
                            type: string
                            description: Task ID
                          name:
                            type: string
                            description: Voice name
                          persona_id:
                            type: string
                            description: voice id
                          quota:
                            type: string
                            description: Quota consumed
                          hookUrl:
                            type: string
                            description: Callback URL
                example:
                  status: SUCCESS
                  message: success
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                  data:
                    jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                    action: music
                    progress: 100%
                    mv: chirp-v5
                    quota: '6'
                    hookUrl: https://webhook-test.com/ed9731f4026f04e7c0cfa99e41d2b2fc
                    musics:
                      - musicId: xxxxxxxxxxxxxxxxx
                        prompt: xxxxxxxxxxxxxxxxxx
                        title: xxxxx
                        tags: xxxxx
                        imageUrl: https://cdn2.suno.ai/xxxxxxxxxxxxxxxxx.jpeg
                        imageLargeUrl: https://cdn2.suno.ai/xxxxxxxxxxxxxx.jpeg
                        audioUrl: https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp3
                        videoUrl: https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp4
                        duration: '211.44'
                        negativeTags: xxxxxxxxxxxxxxxxxxx
                        styleWeight: null
                        weirdnessConstraint: null
                        audioWeight: null
                        createdAt: '2026-03-03T02:23:51.401Z'
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````